using System;
using System.ComponentModel;
using System.ComponentModel.Design;
using System.Collections;
using System.Drawing;
using System.Workflow.ComponentModel.Compiler;
using System.Workflow.ComponentModel.Serialization;
using System.Workflow.ComponentModel;
using System.Workflow.ComponentModel.Design;
using System.Workflow.Runtime;
using System.Workflow.Activities;
using System.Workflow.Activities.Rules;

namespace CustomTrackingService
{
	public sealed partial class SayHiWorkFlow: SequentialWorkflowActivity
	{
		public SayHiWorkFlow()
		{
			InitializeComponent();
		}

        private void printHi_ExecuteCode(object sender, EventArgs e)
        {
            Console.WriteLine("Hello...");
            
            // Is used to track user specific tracking information
            // Unlike activity status events, and workflow status events, which occur only on status
            // changes, user events can occur at any location that is instrumented in a workflow.
            this.TrackData("SampleUserData","This is a user tracking record........");
        }
	}

}
